Loading...
Searching...
No Matches
Ogre::TextureFrameControllerValue Class Reference
Core » Animation

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:
[legend]

## Public Member Functions

| TextureFrameControllerValue (TextureUnitState *t)
float | getValue (void) const override
| Gets the frame number as a parametric value in the range [0,1].
void | setValue (float value) override
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames).
Public Member Functions inherited from Ogre::ControllerValue< float >
virtual | ~ControllerValue ()

## Static Public Member Functions

static ControllerValueRealPtr | create (TextureUnitState *t)

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

## Constructor & Destructor Documentation

## TextureFrameControllerValue()

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

Deprecated
  use create()

## Member Function Documentation

## create()

ControllerValueRealPtr Ogre::TextureFrameControllerValue::create | ( | TextureUnitState * | t | ) |

inline static

## getValue()

float Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const

override virtual

Gets the frame number as a parametric value in the range [0,1].

Implements Ogre::ControllerValue< float >.

## setValue()

void Ogre::TextureFrameControllerValue::setValue | ( | float | value | ) |

override virtual

Sets the frame number as a parametric value in the range [0,1]; the actual frame number is (value * numFrames) % numFrames).

Implements Ogre::ControllerValue< float >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h